<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\CpuEntity;
use App\Models\Equipment\Part\CpuModel;

class CpuService extends PartService
{
    public function __construct(mixed $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Cpu');
    }
    public function getModelClass(): CpuModel
    {
        return new CpuModel();
    }
    public function getEntityClass(): CpuEntity
    {
        return new CpuEntity();
    }
    final public function getFormFields(): array
    {
        return [
            "model",
            "status",
        ];
    }
    final public function getFilterFields(): array
    {
        return ['status'];
    }
    final public function getBatchJobFields(): array
    {
        return ['status'];
    }
    public function getIndexFields(): array
    {
        return ['model', 'status'];
    }
}
